<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>GameController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.controllers</a> &gt; <span class="el_source">GameController.java</span></div><h1>GameController.java</h1><pre class="source lang-java linenums">package dev.team3.controllers;

import dev.team3.models.Game;

import dev.team3.models.GameStock;
import dev.team3.services.GameService;
import dev.team3.services.StockGuessingGameService;

import dev.team3.models.RockPaperScissor;
import dev.team3.services.GameService;
import dev.team3.services.RockPaperScissorsService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@CrossOrigin
<span class="fc" id="L23">public class GameController {</span>

   @Autowired
   private GameService gameService;

   @Autowired
   private StockGuessingGameService stockGameService;



   @GetMapping(value = &quot;/games&quot;, produces = &quot;application/json&quot;)
   public List&lt;Game&gt; returnAllGames() {
<span class="nc" id="L35">      return gameService.getAllGames();</span>
   }

   @GetMapping(value=&quot;/stockguessinggame&quot;, produces=&quot;application/json&quot;)
   public List&lt;GameStock&gt; returnGameStocks(){
<span class="fc" id="L40">      return stockGameService.returnTwoGameStocks();</span>
   }

   // **** javascript make get request to /stockguessing

   // return json string with 2 stocks
   //   // javascript parses json that it receives from get
   //   // use that json to create 2 options for the client
   //   // the client picks between their options and set a bet amt
   //   // javascript is gonna make a modal &quot;you won&quot; or &quot;you lost&quot;
   //
   //   // **** javascript is going to make a post request to /stockguessing header post request body whatever changes to user balance / earnings (for leaderboard)
   //
   //   // balance changes positively or negatively

   @Autowired
   private RockPaperScissorsService rockPaperScissorsService;

   @GetMapping(value = &quot;/rockpaperscissor&quot;, produces = &quot;application/json&quot;)
   public RockPaperScissor returnOpposingHand() {

<span class="nc" id="L61">      return rockPaperScissorsService.returnOpposingHand();</span>
   }

   @GetMapping(value = &quot;/rps-guess&quot;, produces = &quot;application/json&quot;)
   public ResponseEntity&lt;RockPaperScissor&gt; returnOpposingHandJson() {
<span class="fc" id="L66">      return new ResponseEntity&lt;RockPaperScissor&gt;(rockPaperScissorsService.returnOpposingHand(), HttpStatus.OK);</span>
   }

   /*@PostMapping(path = &quot;/victory&quot;, consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
   public String returnVictoryMessage(@RequestBody RockPaperScissor bot, String user){

      return rockPaperScissorsService.returnVictoryMessage( bot, user);
   }*/

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>